#ifndef IOPORT_H
#define IOPORT_H

#include <QObject>
class Device;
class IOPort : public QObject
{
    Q_OBJECT

protected:
    Device* m_pParentDev;         // с каким устройством связан порт
    QString m_ConnectionSetup;    // Настройки соединения

public:
    IOPort(Device* parentDevice, QString connectionSetup);  //конструктор
    virtual ~IOPort() {}

    virtual bool OpenPort()=0;
    virtual bool ClosePort()=0;


signals:
	void sigPortDisconnect(); // разрыв соединения
	void sigPortError();      // другие ошибки соединения

public slots:


};

#endif // IOPORT_H
