/*
 * MyDevice.h
 *
 *  Created on: 10.11.2010
 *      Author: Sergey Fedorenko
 */

#ifndef MYDEVICE_H_
#define MYDEVICE_H_

#include "device.h"

class MyDevice: public Device {
protected:
	unsigned long m_SendDataTimer;

public:
	MyDevice();
	virtual ~MyDevice();
	unsigned long GetTick();

	virtual void NewData(unsigned char * data, int len);
    virtual bool MakeData(unsigned char * data, int * len);

};

#endif /* MYDEVICE_H_ */
