#ifndef DEVICE_H
#define DEVICE_H

#include <QObject>
#include "ioport.h"

class Device : public QObject
{
    Q_OBJECT
protected:
    IOPort * m_pIOPort;      // некий порт для устройства COM,Socket,etc.
public:
    Device(QObject*o=0);
    ~Device();
    void CreatePort(QString setup);
    virtual void NewData(unsigned char * data, int len);
    virtual bool MakeData(unsigned char * data, int * len);
};

#endif // DEVICE_H
